Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class AbstractJSVGComponent.JSVGComponentListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.apache.batik.swing.svg.AbstractJSVGComponent.JSVGComponentListener

All Implemented Interfaces:
  ComponentListener, EventListener, JGVTComponentListener

Enclosing class:
  AbstractJSVGComponent

    protected class AbstractJSVGComponent.JSVGComponentListener

extends ComponentAdapter
implements JGVTComponentListener

Field Summary

Fields inherited from interface org.apache.batik.swing.gvt.JGVTComponentListener
`COMPONENT_TRANSFORM_CHANGED`

Constructor Summary
`protected` | `AbstractJSVGComponent.JSVGComponentListener()`

Method Summary
`void` | `componentResized(ComponentEvent ce)`
`void` | `componentTransformChanged(ComponentEvent event)` Called when the rendering transform changes on the JGVTComponentListener
`void` | `updateMatrix(AffineTransform at)`

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJSVGComponent.JSVGComponentListener

    protected AbstractJSVGComponent.JSVGComponentListener()

Method Detail

### componentResized

    public void componentResized(ComponentEvent ce)

  Specified by:
    `componentResized` in interface `ComponentListener`
  Overrides:
    `componentResized` in class `ComponentAdapter`

### componentTransformChanged

    public void componentTransformChanged(ComponentEvent event)

  Description copied from interface: `JGVTComponentListener`
  Called when the rendering transform changes on the JGVTComponentListener

  Specified by:
    `componentTransformChanged` in interface `JGVTComponentListener`

### updateMatrix

    public void updateMatrix(AffineTransform at)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.